﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonTest
{
    class Person
    {
        string name;    // instance variables
        int age;        // instance variables

        public string Name
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
            }
        }

        public int Age
        {
            get
            {
                return age;
            }
            set
            {
                age = value;
            }
        }

        public Person() : this("", 0) 
        {
        }

        public Person(string name, int age) 
        {
            this.name = name;
            this.age = age;
        }

        public void Print()                                             // instance methods
        {
            Console.WriteLine("Person Name: {0} Age: {1}", name, age);
        }

        public override string ToString()                                             // instance methods
        {
            return "Person Name: " + name + " Age: " + age;
        }
    }
}
