﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonTest
{
    class Person2
    {
        static string name;    // static variables
        static int age;        // static variables

        public static string Name // static property
        {
            get
            {
                return name;
            }
            set
            {
                name = value;
            }
        }

        public static int Age // static property
        {
            get
            {
                return age;
            }
            set
            {
                age = value;
            }
        }

        public Person2() : this("", 0) // Student() => public Student : base()와 같은 의미, 생성자는 상속안됨
        {
        }

        public Person2(string name, int age)
        {
            Name = name;
            Age = age;
        }

        public static void Print()
        {
            Console.WriteLine("Person2 Name: {0} Age: {1}", Name, Age);
        }

        public override string ToString()                                             // instance methods
        {
            return "Person2 Name: " + Name + " Age: " + Age;
        }
    }
}
