﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PersonTest
{
    class Program
    {
        static void Main(string[] args)
        {
            Person[] pArray = new Person[3];
            // 만약 Person 객체를 하나만 생성한 후 for문에서 공유해 사용할 경우
            // 마지막으로 입력된 데이터로 모든 데이터값이 치환됨
            Person p = new Person();
            for (int i = 0; i < 3; i++)
            {
                Console.Write("Please enter Person name: ");
                p.Name = Console.ReadLine();           // 입력정보
                Console.Write("Please enter Person age: ");
                p.Age = int.Parse(Console.ReadLine()); // 입력정보
                pArray[i] = p;  // 배열에 들어간 모든 원소는 동일한 p
            }
            Console.WriteLine("pArray=" + string.Join(",", pArray.Select(x => x.ToString()).ToArray()));

            Person[] pArray2 = new Person[3];
            // 아래와 같이 for문 안에 Person p = new Person()와같이
            // 새로운 객체를 생성해야 각자 다르게 입력된 정보가 들어가게 됨
            for (int i = 0; i < 3; i++)
            {
                Person p2 = new Person();
                Console.Write("Please enter Person name: ");
                p2.Name = Console.ReadLine();           // 입력정보
                Console.Write("Please enter Person age: ");
                p2.Age = int.Parse(Console.ReadLine()); // 입력정보
                pArray2[i] = p2; // 이때 p는 새로운 Person객체
            }
            Console.WriteLine("pArray2=" + string.Join(",", pArray2.Select(x => x.ToString()).ToArray()));

            Person2[] pArray3 = new Person2[3];
            // 아래와 같이 for문 안에 Person p = new Person()와같이
            // 새로운 객체를 생성해야 각자 다르게 입력된 정보가 들어가게 됨
            for (int i = 0; i < 3; i++)
            {
                Person2 p3 = new Person2();
                Console.Write("Please enter Person name: ");
                Person2.Name = Console.ReadLine();           // 입력정보
                Console.Write("Please enter Person age: ");
                Person2.Age = int.Parse(Console.ReadLine()); // 입력정보
                pArray3[i] = p3; // p3 객체의 name과 age는 static이므로 모두 공유하기때문에, 배열의 모든 원소는 마지막에 들어간 정보로 셋팅
            }
            Console.WriteLine("pArray3=" + string.Join(",", pArray3.Select(x => x.ToString()).ToArray()));
        }
    }
}
